Bug 135164 - piecewise screensaver leaks memory at ~1MB/s
Summary: piecewise screensaver leaks memory at ~1MB/s
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131589
TreeView+ depends on / blocked
 
Reported: 2004-10-09 16:07 UTC by Jon Burgess
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 17:12:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Burgess 2004-10-09 16:07:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
I noticed that memory usage of my machine had grown considerably when
I came back after the screensaver was active. It seems that the
piecewise screensaver leaks memory at about 1MB/s


Version-Release number of selected component (if applicable):
xscreensaver-4.18-3

How reproducible:
Always

Steps to Reproduce:
1. run /usr/X11R6/lib/xscreensaver/piecewise
2. run top
3. Watch memory usage of piecewise process
    

Actual Results:  The piecewise process starts at about 5MB, but grows
in size each time the top window refreshes. After about 10 seconds the
memory usage is up to 15MB.

Additional info:

Comment 1 Warren Togami 2004-10-15 08:37:47 UTC
It appears that the only place free() is done is within sweep(), but
it isn't freeing all newly allocated memory in each iteration.  I will
attempt to look into it again this weekend.

In the mean time I would suggest disabling this as a default
screensaver, or removing it entirely.  This is horribly inefficient
code even if it were working properly.

Comment 2 Matthew Miller 2004-10-17 18:10:24 UTC
The same behavior is apparent in FC2's xscreensaver-4.14.

Comment 3 Kristian Høgsberg 2004-10-19 17:05:17 UTC
Should be fixed in 4.18-4.


Note You need to log in before you can comment on or make changes to this bug.